---
lang: en
title: 'API docs: http-server.httpserver._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.http-server.httpserver._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-server](./http-server.md) &gt; [HttpServer](./http-server.httpserver.md) &gt; [(constructor)](./http-server.httpserver._constructor_.md)

## HttpServer._constructor_

Constructs a new instance of the `HttpServer` class

<b>Signature:</b>

```typescript
constructor(requestListener: RequestListener, serverOptions?: HttpServerOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  requestListener | <code>RequestListener</code> |  |
|  serverOptions | <code>HttpServerOptions</code> |  |


